Subject: Re: bug#8688: 23.2; search-whitespace-regexp not working as documented

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Dec 2021 21:20:54 +0100

Worik Stanton <[email-masked]> writes:

> And executed it.  (regex-search works as expected now).
>
> But C-h v search-whitespace-regexp  says it is set to...
>
> search-whitespace-regexp's value is "[     ^M\n]+"
>
> I was about to report that the custom-set-variables command did not work...
>
> Thanks for your help, all the serious problems are solved.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

It seems like the problems in this bug report stem from the various ways
Emacs presents and represents strings, and Emacs has many ways of doing
that.  For instance:

(let ((print-escape-newlines t))
  (prin1 "[ \t\r\n]+" (current-buffer)))
"[ 	^M\n]+"

(let ((print-escape-control-characters t))
  (prin1 "[ \t\r\n]+" (current-buffer)))
"[ \11\15\12]+"

etc.

This is, unfortunately, just the way it is, so I don't think there's
anything actionable in this bug report, and I'm closing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no